Arch API: Difference between revisions

From FreeCAD Documentation
(Created page with "<languages/> <translate> {{VeryImportantMessage|(November 2018) The Arch API is listed in the [https://www.freecadweb.org/api autogenerated API documentation].}} The function...")
 
(put the right links otherwise issue for translators)
 
(7 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>
<!--T:1-->
{{VeryImportantMessage|(November 2018) The Arch API is listed in the [https://www.freecadweb.org/api autogenerated API documentation].}}
{{VeryImportantMessage|(November 2018) The Arch API is listed in the [https://www.freecadweb.org/api autogenerated API documentation].}}


<!--T:2-->
The functions of the API are part of the [[Arch Workbench]] and can be used in [[macros]] and from the [[Python]] console once the {{incode|Arch}} module has been imported.
The functions of the API are part of the [[Arch_Workbench|Arch Workbench]] and can be used in [[Macros|macros]] and from the [[Python|Python]] console once the {{incode|Arch}} module has been imported. The [[Reinforcement_Workbench|Reinforcement Workbench]] has its own [[Reinforcement_API|Reinforcement API]].


<!--T:3-->
Example:
Example:
</translate>
</translate>
Line 16: Line 19:
Arch.makeWall(baseline, length=None, width=200, height=2000)
Arch.makeWall(baseline, length=None, width=200, height=2000)
}}
}}
<translate>


{{Arch Tools navi}}
{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
[[Category:API]]
[[Category:Poweruser Documentation]]
[[Category:API{{#translation:}}]]
[[Category:Poweruser Documentation{{#translation:}}]]
</translate>

Latest revision as of 09:22, 10 March 2024

(November 2018) The Arch API is listed in the autogenerated API documentation.

The functions of the API are part of the Arch Workbench and can be used in macros and from the Python console once the Arch module has been imported. The Reinforcement Workbench has its own Reinforcement API.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)

Arch.makeWall(baseline, length=None, width=200, height=2000)